Subject: Re: iputils git tree

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Wed, 01 Aug 2012 13:18:33 +0900

Hello.

(2012年08月01日 13:09), Noah Meyerhans wrote:
> On Tue, Jul 31, 2012 at 08:29:18PM -0700, David Miller wrote:
>> iputils has been unmaintained for at least 2 years.
>>
>> Someone needs to step up and take over maintainence of it.
>>
>> Otherwise, expect the current situation to continue.
>
> I was under the impresion that iputils had been handed over from Alexey
> to Hideaki YOSHIFUJI.  The fork at linux-ipv6.org certainly doesn't
> appear dead.  I count 12 commits this year to the repository visible at
> http://www.linux-ipv6.org/gitweb/gitweb.cgi?p=gitroot/iputils.git;a=summary
> It's not exactly a screaming fast pace, but it's something.
>
> There are several (mostly relatively minor) bugs that have been fixed in
> the Debian packages (of which I'm the maintainer). There's another
> assortment of patches in the Debian bug tracker that haven't yet been
> merged in.  I imagine Fedora and RHEL have a collection of similar
> modifications. So I suspect that iputils really isn't dead, but it's
> just that nobody's bothering to push changes back upstream. I'm more
> than happy to start doing so.
>
> noah
>

In fact my first motivation was to integrate Debian, Fedora and
other distro updates in to single source.  I sometimes look
into their sources and integrate some of their changes.

Anyway, I am happy if distro changes are posted and discussed.

Regards,

--yoshfuji